SDL_GPUTextureTransferInfo Struct Reference

`#include <SDL_gpu.h>`

## Data Fields

SDL_GPUTransferBuffer * | transfer_buffer
Uint32 | offset
Uint32 | pixels_per_row
Uint32 | rows_per_layer

## Detailed Description

A structure specifying parameters related to transferring data to or from a texture.

Since
  This struct is available since SDL 3.2.0.

See also
  SDL_UploadToGPUTexture
  SDL_DownloadFromGPUTexture

Definition at line 1318 of file SDL_gpu.h.

## Field Documentation

## offset

Uint32 SDL_GPUTextureTransferInfo::offset

The starting byte of the image data in the transfer buffer.

Definition at line 1321 of file SDL_gpu.h.

## pixels_per_row

Uint32 SDL_GPUTextureTransferInfo::pixels_per_row

The number of pixels from one row to the next.

Definition at line 1322 of file SDL_gpu.h.

## rows_per_layer

Uint32 SDL_GPUTextureTransferInfo::rows_per_layer

The number of rows from one layer/depth-slice to the next.

Definition at line 1323 of file SDL_gpu.h.

## transfer_buffer

SDL_GPUTransferBuffer* SDL_GPUTextureTransferInfo::transfer_buffer

The transfer buffer used in the transfer operation.

Definition at line 1320 of file SDL_gpu.h.

The documentation for this struct was generated from the following file:

- SDL_gpu.h